Marlin RAMPS 1.4+Mega2560 firmware

Troubleshooting talk for software

Marlin RAMPS 1.4+Mega2560 firmware

Postby Silq707 » 2016-Nov-Mon-00-Nov

I think my printrboard is fried and I had a RAMPS 1.4+Mega on hand for building my D-bot Core XY but I need to fix my PB Simple Metal first. The printrboards are out of stock and I wanted to try RAMPS on my PB Simple. I was trying to compile and upload but I kept getting this error, "#error Oops! Make sure you have 'Teensy++ 2.0' selected from the 'Tools -> Boards' menu." The thing is, I have a Mega 2560, not a Teensy so I am not sure what to do. I followed some guides online to get teensy as an option and it compiled and uploaded but this warning message came up "Teensy did not respond to a USB-based request to automatically reboot.
Please press the PROGRAM MODE BUTTON on your Teensy to upload your sketch." Teensy said that the .hex file is too large. So I have no clue what route to go now.
  • 0

Silq707
Waiting to connect to printer...
 
Posts: 1
Joined: 2016-Nov-Mon-00-Nov
Reputation: 0

Marlin RAMPS 1.4+Mega2560 firmware

Sponsor

Sponsor
 

Re: Marlin RAMPS 1.4+Mega2560 firmware

Postby KD6HQ » 2016-Nov-Wed-00-Nov

What are you using to compile with? There should be an option to select the type of board you are compiling for.
Or you should be able to select the board in a command line. Something like "platformio run -e mega2560 >savefile.txt".
I was using this command line to compile my RAMPS 1.4 / Mega2560 combination with the Platformio compiler.
  • 0

Printrbot Simple Makers Kit (1405) modified.
Core XYZ

It's all in the details!
KD6HQ
Layer 300 of 1234
 
Posts: 329
Joined: 2014-Jun-Mon-12-Jun
Reputation: 5


Return to Troubleshooting talk

Who is online

Users browsing this forum: No registered users and 1 guest